Bug 42314 - Native crash in socket API
Summary: Native crash in socket API
Status: RESOLVED NORESPONSE
Alias: None
Product: Runtime
Classification: Mono
Component: io-layer (show other bugs)
Version: 4.5.X
Hardware: PC Mac OS
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-07-01 13:21 UTC by Mikhail Filippov
Modified: 2017-10-11 17:35 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED NORESPONSE

Description Mikhail Filippov 2016-07-01 13:21:57 UTC
I have native crash on latest mono from master:
Process 52696 stopped
* thread #21: tid = 0x26cb70, 0x000000012288a58d, name = 'tid_560b', stop reason = EXC_BAD_ACCESS (code=1, address=0x0)
    frame #0: 0x000000012288a58d
->  0x12288a58d: cmpl   $0x0, (%rax)
    0x12288a590: movabsq $0x10b7724e0, %r11
    0x12288a59a: callq  *%r11
    0x12288a59d: movq   %rax, 0x28(%rsp)
(lldb) monobt
* thread #21
  * frame #0: 0x12288a58d System.Net.Sockets.TcpListener:EndAcceptTcpClient (System.IAsyncResult) + 0x1d (0x12288a570 0x12288a608) [0x7f8119414e70 - JetBrains.ReSharper.Host.exe]
    frame #1: 0x10b0a7a1e System.Net.Sockets.SocketAsyncResult/<Complete>c__AnonStorey0:<>m__0 (object) + 0x1e (0x10b0a7a00 0x10b0a7a2c) [0x7f8119414e70 - JetBrains.ReSharper.Host.exe]
    frame #2: 0x0000000103e02489 mscorlib.dll.dylib`System_Threading__ThreadPoolWaitCallback_PerformWaitCallback + 9
    frame #3: 0x10ac5bebf (wrapper runtime-invoke) <Module>:runtime_invoke_bool (object,intptr,intptr,intptr) + 0x6f (0x10ac5be50 0x10ac5bfc0) [0x7f8119414e70 - JetBrains.ReSharper.Host.exe]
    frame #4: 0x0000000101e07dc5 mono-sgen`mono_jit_runtime_invoke + 1781
    frame #5: 0x0000000101fceef2 mono-sgen`mono_runtime_invoke + 130
    frame #6: 0x0000000101fab6cf mono-sgen`worker_thread + 1679
    frame #7: 0x0000000101fa8be9 mono-sgen`start_wrapper + 537
    frame #8: 0x000000010205b227 mono-sgen`inner_start_thread + 311
    frame #9: 0x00007fff8a63405a libsystem_pthread.dylib`_pthread_body + 131
    frame #10: 0x00007fff8a633fd7 libsystem_pthread.dylib`_pthread_start + 176
    frame #11: 0x00007fff8a6313ed libsystem_pthread.dylib`thread_start + 13
Comment 1 Rodrigo Kumpera 2016-09-14 01:19:37 UTC
Where is it crashing in native code? The lldb output shows a managed frame on top.

Can you provide a test case that shows the issue?
Comment 2 Rodrigo Kumpera 2017-10-11 17:35:37 UTC
We have not received the requested information. If you are still experiencing this issue please provide all the requested information and reopen the bug report.

Thank you!